<template>
  <div class="recent-message-list-item">
    <div class="username-timestamp">
      <div class="username">
        @{{ message.handle }}
      </div>
      <div class="timestamp">{{ timestamp }}</div>
    </div>
    <div class="last-message-text">
        {{ message.lastMessage }}
    </div>
   
  </div>
</template>

<script>
import moment from 'moment'
export default {
    props: ["message"],
    computed: {
      timestamp() {
        return moment(this.message.timestamp).calendar()
      }
    }
}
</script>

<style>
.recent-message-list-item {
    width: 100%;
    display: flex;
    flex-direction: column;
}
.recent-message-list-item .username-timestamp {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.recent-message-list-item .username-timestamp .username {
    font-size: 15px;
    font-weight: bold;
}
.recent-message-list-item .username-timestamp .timestamp {
    font-size: 13px;
}
.recent-message-list-item .last-message-text {
    font-size: 13px;
    font-weight: 300;
}
</style>
